Upstream information

CVE-2017-7407 at MITRE

Description

The ourWriteOut function in tool_writeout.c in curl 7.53.1 might allow physically proximate attackers to obtain sensitive information from process memory in opportunistic circumstances by reading a workstation screen during use of a --write-out argument ending in a '%' character, which leads to a heap-based buffer over-read.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 2.11 0.98
Vector AV:L/AC:L/Au:N/C:P/I:N/A:N AV:L/AC:H/Au:S/C:P/I:N/A:N
Access Vector Local Local
Access Complexity Low High
Authentication None Single
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 2.4 2.4
Vector AV:P/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N AV:P/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Access Vector Physical Physical
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low Low
Integrity Impact None None
Availability Impact None None

This issue is currently rated as having moderate severity.

SUSE Bugzilla entry: 1032309 [RESOLVED / ]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-609
SUSE Linux Enterprise Desktop 12 SP1
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-609
SUSE Linux Enterprise Desktop 12 SP2
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-609
SUSE Linux Enterprise Server 11 SP4
  • curl >= 7.19.7-1.69.1
  • libcurl4 >= 7.19.7-1.69.1
  • libcurl4-32bit >= 7.19.7-1.69.1
  • libcurl4-x86 >= 7.19.7-1.69.1
Patchnames:
slessp4-curl-13065
SUSE Linux Enterprise Server 11-SECURITY
  • curl-openssl1 >= 7.19.7-1.69.1
  • libcurl4-openssl1 >= 7.19.7-1.69.1
  • libcurl4-openssl1-32bit >= 7.19.7-1.69.1
  • libcurl4-openssl1-x86 >= 7.19.7-1.69.1
Patchnames:
secsp3-curl-13065
SUSE Linux Enterprise Server 12 SP1
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-609
SUSE Linux Enterprise Server 12 SP2
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-609
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-609
SUSE Linux Enterprise Software Development Kit 11 SP4
  • curl >= 7.19.7-1.69.1
  • libcurl-devel >= 7.19.7-1.69.1
Patchnames:
sdksp4-curl-13065
SUSE Linux Enterprise Software Development Kit 12 SP1
  • curl >= 7.37.0-36.1
  • libcurl-devel >= 7.37.0-36.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-609
SUSE Linux Enterprise Software Development Kit 12 SP2
  • curl >= 7.37.0-36.1
  • libcurl-devel >= 7.37.0-36.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-609
SUSE Studio Onsite 1.3
  • curl >= 7.19.7-1.20.52.2
  • libcurl-devel >= 7.19.7-1.20.52.2
Patchnames:
slestso13-curl-13075
openSUSE Leap 42.1
  • curl >= 7.37.0-19.1
  • curl-debuginfo >= 7.37.0-19.1
  • curl-debugsource >= 7.37.0-19.1
  • libcurl-devel >= 7.37.0-19.1
  • libcurl-devel-32bit >= 7.37.0-19.1
  • libcurl4 >= 7.37.0-19.1
  • libcurl4-32bit >= 7.37.0-19.1
  • libcurl4-debuginfo >= 7.37.0-19.1
  • libcurl4-debuginfo-32bit >= 7.37.0-19.1
Patchnames:
openSUSE-2017-513
openSUSE Leap 42.2
  • curl >= 7.37.0-16.3.1
  • curl-debuginfo >= 7.37.0-16.3.1
  • curl-debugsource >= 7.37.0-16.3.1
  • libcurl-devel >= 7.37.0-16.3.1
  • libcurl-devel-32bit >= 7.37.0-16.3.1
  • libcurl4 >= 7.37.0-16.3.1
  • libcurl4-32bit >= 7.37.0-16.3.1
  • libcurl4-debuginfo >= 7.37.0-16.3.1
  • libcurl4-debuginfo-32bit >= 7.37.0-16.3.1
Patchnames:
openSUSE-2017-513


List of planned updates

The following information is the current evaluation information for this security issue. It might neither be accurate nor complete, Use at own risk.
Product(s) Source package
  • SUSE Linux Enterprise Server 11 SP3 LTSS
  • SUSE Linux Enterprise Server 12 GA
  • SUSE Linux Enterprise Server for SAP 11 SP3
  • SUSE Linux Enterprise Server for SAP 12 GA
curl